[Launch]
ProgramExecutable=NeoImaging\Program\nEOiMAGING4.exe
ProgramExecutableWhenParameters="NeoImaging\Program\nEOiMAGING4.exe"
WorkingDirectory="%PAL:AppDir%\NeoImaging\Program"
RunAsAdmin=force 
SinglePortableAppInstance=true
WaitForEXE1=nEOiMAGING4.exe
DirectoryMoveOK=yes 

[Activate]
Registry=true

[RegistryKeys]
NeoImaging=HKCU\Software\Thunder Network\NeoImaging
-=HKLM\SOFTWARE\Classes\*\shellex\ContextMenuHandlers\0NeoImaging Menu
-=HKLM\SOFTWARE\Classes\TypeLib\{CF787E24-7479-4201-8728-E99E7C7C1B11}
-=HKLM\SOFTWARE\Classes\TypeLib\{53C213AA-C00E-496B-BB93-B62FA68553C8}
-=HKLM\SOFTWARE\Classes\AppID\{7F4984F6-7744-4B1E-B893-D3C03DEB7E5B}
-=HKLM\SOFTWARE\Classes\AppID\ShellContextMenuExt.DLL
-=HKLM\SOFTWARE\Classes\AppID\NeoImageShellEx.DLL
-=HKLM\SOFTWARE\Classes\AppID\{ECA9DE8E-FD02-4E50-88EA-E82E11BDD8A6}
-=HKLM\SOFTWARE\Classes\CLSID\{110B3DB0-B645-462D-89BA-0DEE7DFC26C8}
-=HKLM\SOFTWARE\Classes\CLSID\{268BDCA1-854B-4591-8EE2-B2CB03E174E4}
-=HKLM\SOFTWARE\Classes\CLSID\{83A97A48-F5D7-4D12-8BA3-5263A016D936}
-=HKLM\SOFTWARE\Classes\CLSID\{E058450F-CBAB-4302-A436-C896DE43DC27}
-=HKLM\SOFTWARE\Classes\Interface\{110B3DB0-B645-462D-89BA-0DEE7DFC26C8}
-=HKLM\SOFTWARE\Classes\Interface\{E058450F-CBAB-4302-A436-C896DE43DC27}
-=HKLM\SOFTWARE\Classes\NeoImageShellEx.NeoImageContextMenu
-=HKLM\SOFTWARE\Classes\NeoImageShellEx.NeoImageContextMenu.1
-=HKLM\SOFTWARE\Classes\ShellContextMenuExt.ShellContextMenu
-=HKLM\SOFTWARE\Classes\ShellContextMenuExt.ShellContextMenu.1
-=HKLM\SOFTWARE\Classes\NeoImageShellContextMenuImplLib
-=HKLM\SOFTWARE\Microsoft\Internet Explorer\Low Rights\ElevationPolicy\{D914F661-3553-4a5f-AA7E-DD62EEF58E9D}

[RegistryCleanupIfEmpty]
1=HKCU\Software\Thunder Network\NeoImaging
2=HKCU\Software\Thunder Network

[RegistryValueWrite]
HKCU\Software\Thunder Network\NeoImaging\path=REG_SZ:%PAL:AppDir%\NeoImaging\Program\nEOiMAGING4.exe
HKCU\Software\Thunder Network\NeoImaging\InstallDir=REG_SZ:%PAL:AppDir%\NeoImaging
HKCU\Software\Thunder Network\NeoImaging\DataDir=REG_SZ:%apps_installdir%

[DirectoriesMove]
Profiles=%PAL:AppDir%\NeoImaging\Profiles
tp=%PAL:AppDir%\NeoImaging\tp
NeoImaging=%AllUsersAppData%\Thunder Network\NeoImaging
-=%AllUsersAppData%\Thunder Network\DownloadLib

[DirectoriesCleanupIfEmpty]
1=%AllUsersAppData%\Thunder Network\NeoImaging
2=%AllUsersAppData%\Thunder Network\DownloadLib
3=%AllUsersAppData%\Thunder Network

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\Profiles\config\config.xml
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\Profiles\config\config.xml
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\Profiles\config\config.xml
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\


